Bug 599324

Summary: Review Request: rotoscope - A program to rotoscope images
Product: [Fedora] Fedora Reporter: Tareq Al Jurf <taljurf>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, martin.gieseking, notting, yanstadel
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-11-22 14:24:42 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 201449    

Description Tareq Al Jurf 2010-06-03 02:25:34 EDT
Spec URL: http://taljurf.fedorapeople.org/Packages/i686/rotoscope/rotoscope.spec
SRPM URL: http://taljurf.fedorapeople.org/Packages/i686/rotoscope/rotoscope-0.2-1.fc12.src.rpm
Description: Rotoscope is a free software rotoscoping application that can be used to give photos a cartoon-like appearance. This is similar to the technique used in movies such as Waking Life and A Scanner Darkly.
Comment 1 Tareq Al Jurf 2010-06-03 02:27:06 EDT
*** Bug 492165 has been marked as a duplicate of this bug. ***
Comment 2 Martin Gieseking 2010-06-03 11:49:06 EDT
Hi Tareq, here are some quick comments:

- the license seems to be GPLv2+ (according to the source headers)
- use %{version} in Source0 to simplify future package updates
- COPYING is missing in %doc
- drop empty file NEWS from %doc


$ rpmlint /var/lib/mock/fedora-13-i386/result/*.rpm
rotoscope.i686: W: name-repeated-in-summary C rotoscope
rotoscope.i686: W: spelling-error %description -l en_US rotoscoping -> arthroscopic, stroboscopic, gyroscopic
rotoscope.i686: E: zero-length /usr/share/doc/rotoscope-0.2/NEWS
rotoscope.src: W: name-repeated-in-summary C rotoscope
rotoscope.src: W: spelling-error %description -l en_US rotoscoping -> arthroscopic, stroboscopic, gyroscopic
3 packages and 0 specfiles checked; 1 errors, 4 warnings.
Comment 3 Tareq Al Jurf 2010-06-03 12:42:24 EDT
(In reply to comment #2)
> Hi Tareq, here are some quick comments:
> 
> - the license seems to be GPLv2+ (according to the source headers)
> - use %{version} in Source0 to simplify future package updates
> - COPYING is missing in %doc
> - drop empty file NEWS from %doc
> 
> 
> $ rpmlint /var/lib/mock/fedora-13-i386/result/*.rpm
> rotoscope.i686: W: name-repeated-in-summary C rotoscope
> rotoscope.i686: W: spelling-error %description -l en_US rotoscoping ->
> arthroscopic, stroboscopic, gyroscopic
> rotoscope.i686: E: zero-length /usr/share/doc/rotoscope-0.2/NEWS
> rotoscope.src: W: name-repeated-in-summary C rotoscope
> rotoscope.src: W: spelling-error %description -l en_US rotoscoping ->
> arthroscopic, stroboscopic, gyroscopic
> 3 packages and 0 specfiles checked; 1 errors, 4 warnings.    

Thx martin,

*First warning fixed.
*Second warning could be ignored since rotoscoping is a word http://en.wikipedia.org/wiki/Rotoscoping
*Error fixed

Spec URL:
http://taljurf.fedorapeople.org/Packages/i686/rotoscope/rotoscope.spec
SRPM URL:
http://taljurf.fedorapeople.org/Packages/i686/rotoscope/rotoscope-0.2-2.fc12.src.rpm
Comment 4 Martin Gieseking 2010-06-03 15:59:27 EDT
The source URL should look like this:
http://downloads.sourceforge.net/rotoscope/rotoscope_%{version}.orig.tar.gz
(see https://fedoraproject.org/wiki/Packaging:SourceURL#Sourceforge.net)

Is the project still maintained upstream? The latest release is 3 years old and marked as pre-alpha (so there might be a couple of issues to be fixed).
Comment 5 Tareq Al Jurf 2010-06-03 17:54:47 EDT
I'll contact upstream to see the project's status.
Comment 6 Bug Zapper 2010-11-03 09:40:20 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Jason Tibbitts 2010-11-22 13:51:52 EST
It's been nearly six months; was there ever any update about the project status?
Comment 8 Tareq Al Jurf 2010-11-22 14:24:42 EST
I contacted the developer, and he replies that the project is currently dead but he may continue later.